<Project Sdk="Microsoft.NET.Sdk.Web">

    <PropertyGroup>
        <TargetFramework>net6.0</TargetFramework>
        <Nullable>enable</Nullable>
        <ImplicitUsings>enable</ImplicitUsings>
        <!-- Generates xml files with comments for Open API -->
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <!-- Ignores classes without comments -->
        <NoWarn>1591</NoWarn>
        <AssemblyName>Sasw.PaginationTester</AssemblyName>
        <RootNamespace>Sasw.PaginationTester</RootNamespace>
    </PropertyGroup>

    <ItemGroup>
      <PackageReference Include="Swashbuckle.AspNetCore" Version="6.4.0" />
    </ItemGroup>

</Project>
